/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see <http://www.gnu.org/licenses/>.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
.mat-dialog-actions.one-button,
.mat-dialog-actions.two-buttons {
  display: flex;
  flex-direction: column;
}

.mat-dialog-actions.one-button {
  justify-content: flex-end;
}

.mat-dialog-actions.two-buttons {
  justify-content: space-evenly;
}

.mat-dialog-actions.two-buttons button {
  max-width: 200px;
}

.mat-dialog-actions button {
  align-self: center;
}

.mat-raised-button {
  line-height: 1.5em;
  white-space: normal;
  min-height: 36px;
}

.mat-raised-button+.mat-raised-button {
  margin-top: 8px;
  margin-left: 0;
}

.warning {
  color: #cc4c00;
}


@media screen and (min-width: 576px) {
  .mat-dialog-actions.one-button,
  .mat-dialog-actions.two-buttons {
    flex-direction: row;
  }

  .mat-raised-button+.mat-raised-button {
    margin-top: 0;
    margin-left: 8px;
  }
}

